#logo {
    max-width: 150px;
    height: auto;
    margin-top: 10px;
    user-select: none;
}
td{
    user-select: none;
}
.container {
    margin-top: 40px;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.7);
}
.form-control{
    user-select: none;
}
h2 {
    color: #10366f;
    text-align: center;
}

.filterHeaders{
  background-color: currentColor;   
  margin: 0;
}
.filterHeaders td input,select{
    margin-left: auto;
    margin-right: auto;

    width: 85%;
    font-size: small !important;
}
.filterHeaders td input,select ::placeholder{
    text-align: center;
}

.form-control {
    border-radius: 8px;
    border: 1px solid #6c757d;
}

    .form-control:focus {
        border: 1px solid #10366f;
        box-shadow: 0 0 5px rgba(16, 54, 111, 0.5);
    }
.text-start{
    text-align: start;
}
.text-end{
    text-align: end;
}
.form-control{
    border-radius: 0%;
}
.btn-primary {
    border-radius: 0%;
    background-color: #10366f;
    font-size: smaller;
    color: white;
    font-weight: lighter;
    border: none;
    transition: background-color 0.3s, transform 0.3s;
    margin-top: 10px;
}
    .btn-primary:hover{
        background-color: #10366f;
        opacity: 0.8;
    }
   .btn-primary:focus {
        box-shadow: 0 0 5px                  rgba(16, 54, 111, 0.5);
    }
    .btn-primary:active,
    .btn-primary:focus,
    .btn-primary:hover {
        background-color: #10366f !important;  /* Arka plan rengini değiştirme */
        border: none !important;  /* Kenarlık değişikliği yapma */
        box-shadow: none !important;  /* Gölgeyi değiştirme */
        outline: none !important;  /* Outline olmadan devam et */
        transform: none !important;  /* Basılınca küçülme gibi efektler olmasın */
    }
    
    .active{
        background-color: #10366f;
        border: none;
        box-shadow: none;
        outline: 0;
    }
    .btn-primary:disabled{
        opacity: 0.65;
    }
    



.dt-buttons .btn {
    border-radius: 8px;
    margin-right: 5px;
    padding: 8px 16px;
    background-color: #10366f;
    color: white;
    border: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    transition: background-color 0.3s, transform 0.3s;
    font-weight: bold;
    margin-top: 10px;
}
.text-smaller{
    font-size: smaller;
}
.btn:hover {
    background-color: #0d295e;
}

.btn:focus {
    box-shadow: 0 0 5px rgba(16, 54, 111, 0.5);
}

.dataTables_wrapper .dataTables_paginate {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}

.dataTables_paginate .paginate_button {
    user-select: none;
    padding: 4px 6px;
    margin: 2px;
    border: 1px solid #10366f;
    border-radius: 0px;
    color: #10366f;
    transition: background-color 0.3s;
    cursor: pointer !important;
    font-size:14px;
}

    .dataTables_paginate .paginate_button:hover {
        background-color: #6c757d;
        text-decoration: none;
    }

    .dataTables_paginate .paginate_button.current {
        background-color: #10366f;
        color: white;
        
    }

.dataTables_filter input[type="search"] {
    color: #333;
    border: 1px solid #6c757d;
    border-radius: 8px;
    padding: 6px;
    margin-top: 10px;
}

    .dataTables_filter input[type="search"]:focus {
        border: 1px solid #10366f;
        box-shadow: 0 0 5px rgba(16, 54, 111, 0.5);
        outline: none;
    }

.table-container {
    display: block;
    width: 100%;
    overflow: hidden;
}

table {
    table-layout: auto;
    width: 100%;
    word-wrap: break-word;
}
tr{
    height: 75px;
}
td, th {
    text-align: center;
    vertical-align: middle;
    white-space: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
    align-content: center;
    font-size: small;
    font-weight: light;
    border-bottom: none;
}
td{
    max-height: 75px;
    padding: 0 !important;
}
table.dataTable thead {
    background-color: #10366f;
    color: white;
}

.table thead th {
    vertical-align: middle;
    border-bottom: 2px solid #dee2e6;
}

table.dataTable tbody tr:hover {
    background-color: rgba(211, 211, 211, 0.8);
    color: black;
}

table.dataTable tfoot {
    background-color: #495057;
    color: #10366f;
    border-top: 2px solid #6c757d;
}

#request-quote-btn {
    background-color: #10366f;
    color: white;
}

.modal-title {
    font-size: 1rem;
    font-weight: bold;
    color: #10366f;
    word-wrap: break-word;
}

.cart-container {
    margin-top: 40px;
}

    .cart-container h4 {
        font-weight: bold;
        color: #10366f;
    }

.quantity-input {
    width: 50px;
    text-align: left;
}

.delete-from-cart {
    color: lightslategray;
    height: 75px;
    border: none;
    background-color: transparent;
    border: none;
}
.delete-from-cart:hover{
    color: #d9534f;

}
.delete-from-cart:active{
    border: none;
    box-shadow: none;
    outline: 0;
}
.delete-from-cart:focus{
    border: none;
    box-shadow: none;
    outline: 0;
}
thead tr{
    height: 45px;
}

.add-to-cart {
    color: lightslategray;
    height: 75px;
    border: none;
    background-color: transparent;
    border: none;
}
.add-to-cart:hover{
    color: #28a745;
}
.add-to-cart:active{
    border: none;
    box-shadow: none;
    outline: 0;
}
.add-to-cart:focus{
    border: none;
    box-shadow: none;
    outline: 0;
}
/* Üründen sepete sürüklerken bırakılabilir alanın vurgulanması */
.ui-droppable-active {
    background-color: #e0ffe0; /* Ürün sepete sürüklenirken arka plan yeşil */
    transition: background-color 0.3s, border 0.3s;
}


/* Sepet ve Ürün Tablosu Satırlarının Hover Efekti */
#productsTable tbody tr:hover, #cartTable tbody tr:hover {
    background-color: #f1f1f1; /* Hover sırasında arka plan rengi */
}

/* Ürün resmi ve adı sürüklenirken oluşturulan kutunun stili */
.draggable-helper {
    padding: 10px;
    border: 1px solid #ccc;
    background: #ffffff;
    display: flex;
    align-items: center;
    width: 200px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

.draggable-helper img {
    width: 50px;
    height: 50px;
    margin-right: 10px;
}

.ui-draggable-dragging{
    cursor: grabbing !important;
}

#cartTable tbody tr.ui-draggable-helper {
    background-color: #f8f8f8;
    border: 1px dashed #d9534f;
    opacity: 0.9;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

/* Ürün tablosuna bırakılabilir durumda olduğunu göstermek için */
#productsTable_wrapper.ui-droppable-active {
    background-color: #f0f8ff; /* Hafif açık mavi bir vurgu */
}


/* Scrollbar'ın içerik üzerinde daraltma yapmasını önlemek için padding eklenir */
.dataTables_scrollBody {
    overflow-x: hidden;
    padding-right: 10px; /* Kaydırma çubuğu genişliği kadar sağa boşluk */
    box-sizing: content-box; /* Padding'in toplam genişliğe dahil edilmesini önle */
}

/* Scrollbar track (iz kısmı) */
.dataTables_scrollBody::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

/* Scrollbar thumb (tutma alanı) */
.dataTables_scrollBody::-webkit-scrollbar-thumb {
    background-color: #888;
    border-radius: 10px;
    border: 2px solid #f1f1f1;
}

/* Scrollbar thumb üzerine gelindiğinde */
.dataTables_scrollBody::-webkit-scrollbar-thumb:hover {
    background-color: #555;
}

/* Scrollbar genişlik ayarı */
.dataTables_scrollBody::-webkit-scrollbar {
    width: 10px;
}

h2{
    user-select: none;
}

th{
    user-select: none;
}
tbody tr {
    cursor: grab; /* Normalde grab cursor */
}
/* ins etiketi için varsayılan stil */
ins {
    cursor: text;
    text-decoration: none; /* Varsayılan alt çizgiyi kaldır */
    user-select: text;
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
}



tbody tr:active {
    background-size: 0% 2px; /* Başlangıçta görünmeyen alt çizgi */

    cursor: grabbing; /* Tıklanıp sürüklenmeye başlandığında grabbing görünsün */
}

/* ins etiketi içindeki seçilen metin için stil */
ins::selection {
    background-color: rgba(16, 54, 111, 0.5);
    color: white; /* Metin rengini değiştir */
}

/* Firefox için ::-moz-selection kullanmak gerekir */
ins::-moz-selection {
    background-color: rgba(16, 54, 111, 0.5);
    color: white; /* Metin rengini değiştir */
}

.select2-results__option{
    font-size: x-small;
}
.select2-search__field{
    font-size: small;
    text-align: center;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border: 1px solid #10366f;
    box-shadow: 0 0 5px rgba(16, 54, 111, 0.5);
}
.select2-container--default .select2-selection--multiple {
    background-color: transparent;
    border: 1px solid #6c757d;
    border-radius: 0;
    cursor: text;
    padding:0;;
}
.select2-container .select2-search--inline .select2-search__field {
    margin-left: 0;
}
.select2-container .select2-selection--multiple {
    text-align: start;
    min-height: 30px;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    font-size: smaller;
    color: white;
    cursor: default;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color:#10366f;
    border: 1px solid ;
    border-radius: 20px;
    box-sizing: border-box;
    display: inline-block;
    margin-left: 5px;
    margin-top: 5px;
    padding: 0;
    padding-right: 6px;
    padding-left: 20px;
    position: relative;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: bottom;
    white-space: nowrap;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    background-color: #10366f;
    border: none;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    color: white;
    cursor: pointer;

    position: absolute;
    left: none;
    top: none;

}

.select2-selection__choice__remove:hover{
    background-color:#d9534f;
    opacity: 0.9;
}

.select2-container--default .select2-selection--multiple .select2-selection__clear {
    color: #10366f;
    cursor: pointer;
    font-weight: bold;
    height: 100%;
    margin-right: 0px;
    margin-top: 0px;
    position: absolute;
    right: 0;
    padding: 5px;
}
#progress-container {
    position: fixed;
    top: 10px;
    right: 10px;
    background-color: rgba(0, 0, 0, 0.8);
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    color: white;
    z-index: 1000;
    width: 300px;
    text-align: center;
    opacity: 0; /* Başlangıçta gizli */
    pointer-events: none; /* Kullanıcı ile etkileşimi kapat */
    transition: opacity 0.5s ease; /* Fade-in ve fade-out geçiş efekti */
}

#progress-bar {
    width: 100%;
    height: 10px;
    border-radius: 0px;
    background-color: #ddd;
    overflow: hidden;
}

#progress-bar::-webkit-progress-value {
    background-color: #10366f;
    border-radius: 0px;
}

#progress-bar::-moz-progress-bar {
    background-color: #10366f;
}

#progress-text {
    font-size: x-small;
    margin-bottom: 0px;

}

/* Görünür olduğunda (fade-in) */
#progress-container.show {
    opacity: 1; /* Görünürlük */
    pointer-events: auto; /* Kullanıcı etkileşimini aç */
}

.swal-custom-title{
    font-size: smaller;
}
.swal2-html-container{
    font-size: small !important;
}
div:where(.swal2-container) div:where(.swal2-actions){
    margin: 0 !important;
}
div:where(.swal2-container).swal2-center>.swal2-popup {
    padding: 5px !important;

}
